ZIP module is not present after PHP update

  • I just updated my PHP to 7.4.8 because of a warning message that eqDKP would no longer receive updates if I didn't :).

    After the PHP update to 7.4.8 eqDKP now claims that the ZIP module is not present.


    How can I solve this issue?

    • Contact your hoster, if you have one
    • If its you own server, execute something like sudo apt-get install php7.4-zip (or anything similar related to your OS) and restart the webserver.

    Viele Grüße,
    GodMod


    Bitte sendet mir keine unaufgeforderten Support-PNs. | Please don't send me unwanted support-PMs.
    Du willst dich bei mir bedanken: | You want to thank me:

    amazon_wishlist.jpg paypal_logo.jpg

  • My hoster actually installed the PHP update. They say they did all they had to do, so i thought maybe you have another idea what it could be.

    I can relay your message to them so they can have a closer look.

  • The only option they presented me was to return PHP to version 7.3.20. I can switch between the two version myself now. For the time being that is fine by me, but I hope that when eqDKP required a higher version, the issues won't re-emerge.


    Thanks for your input GodMod :)

  • PHP 7.3 will be supported by PHP until December '21. That's also the same timeframe that we will support it.

    As EQdkp Plus needs the ZIP extension, your hoster should enable it, because when you need to switch to 7.4, the EQdkp will still complain about the missing Zip.

    Viele Grüße,
    GodMod


    Bitte sendet mir keine unaufgeforderten Support-PNs. | Please don't send me unwanted support-PMs.
    Du willst dich bei mir bedanken: | You want to thank me:

    amazon_wishlist.jpg paypal_logo.jpg

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!